body {
  background-image: none;
  background-color: var(--ink);
  color: var(--snow);
  font-family: var(--font-serif);
}

.features-bg-image {
  position: absolute;
  inset: 0;
  &::after {
    content: "";
    position: absolute;
    inset: 0;
    background-color: hsl(0 0 0 / 20%);
    backdrop-filter: blur(12px);
    pointer-events: none;
  }
  & img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    opacity: 10%;
  }
  &.features-bg-image--dove-blue::after {
    background-color: hsl(from var(--dove-blue) h s l / 25%);
  }
}

.features-title {
  position: relative;
  z-index: 1;
  writing-mode: vertical-rl;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  letter-spacing: 0.1em;
  line-height: 1;
  font-weight: 600;
  & p:first-child {
    font-size: 2.5rem;
  }
  & p:last-child {
    font-size: 5rem;
  }
  &.features-title--1 {
    align-items: end;
  }
  &.features-title--2 {
    margin-right: auto;
    @media (min-width: 1200px) {
      margin-top: -20rem;
    }
  }
  &.features-title--4 {
    & p:first-child {
      font-size: 5rem;
    }
    margin-right: auto;
    @media (min-width: 1200px) {
      margin-top: -32rem;
    }
  }
}

.features-image {
  position: relative;
  width: 100%;
  max-width: 55rem;
  margin-left: auto;
  margin-right: auto;
  aspect-ratio: 2 / 3;
  @media (min-width: 768px) {
    aspect-ratio: 4 / 3;
  }
  @media (min-width: 1024px) {
    aspect-ratio: 16 / 9;
  }
  &::after {
    content: "";
    position: absolute;
    inset: 0;
    background-color: hsl(0 0 0 / 25%);
    pointer-events: none;
  }
  & img {
    object-fit: cover;
    width: 100%;
    height: 100%;
  }
  
  &.features-image--1 {
    margin-top: -12.5rem;
    @media (min-width: 1200px) {
      margin-top: -15rem;
    }
  }
  &.features-image--2 {
    margin-top: -22.5rem;
    @media (min-width: 1200px) {
      margin-top: -2.5rem;
    }
  }
  &.features-image--3 {
    margin-top: -17.5rem;
    @media (min-width: 1200px) {
      margin-top: -17.5rem;
    }
  }
  &.features-image--4 {
    margin-top: -25rem;
    @media (min-width: 1200px) {
      margin-top: 0;
    }
  }
}


















